#pragma once

#include "voxel_drawer.hpp"
#include "projection.hpp"

namespace BGTU::ComputerGraphicsLabWork::RendererApi {
	class SpriteMetadata {
	public:
		virtual void clicked() {};
	};

	template<class data_t>
	class Sprite : public SpriteMetadata {
	public:
		virtual void draw(VoxelDrawer *frame, Projection const *projection, data_t const *data) const = 0;
	};
}